stdex Additional custom or not Standard C++ covered algorithms

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
stdex::parser::basic_string_branch< T, T_parser > Class Template Reference

Test for any string. More...

`#include <stdex/parser.hpp>`

Inheritance diagram for stdex::parser::basic_string_branch< T, T_parser >:

## Public Member Functions
| basic_string_branch (const T *str_z=nullptr, size_t count=0, const std::locale &locale=std::locale())
| basic_string_branch (const T *str,...)
| basic_string_branch (const std::locale &locale, const T *str,...)
Public Member Functions inherited from stdex::parser::basic_branch< T >
| basic_branch (const std::shared_ptr< basic_parser< T > > *el=nullptr, size_t count=0, const std::locale &locale=std::locale())
| basic_branch (std::vector< std::shared_ptr< basic_parser< T > > > &&collection, const std::locale &locale=std::locale())
virtual void | invalidate ()
Public Member Functions inherited from stdex::parser::parser_collection< T >
| parser_collection (const std::shared_ptr< basic_parser< T > > *el, size_t count, const std::locale &locale=std::locale())
| parser_collection (std::vector< std::shared_ptr< basic_parser< T > > > &&collection, const std::locale &locale=std::locale())
Public Member Functions inherited from stdex::parser::basic_parser< T >
| basic_parser (const std::locale &locale=std::locale())
bool | search (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
bool | match (const std::basic_string_view< T, std::char_traits< T > > text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)

## Protected Member Functions
void | build (const T *str_z, size_t count)
void | build (const T *str, va_list params)
Protected Member Functions inherited from stdex::parser::basic_branch< T >
| basic_branch (const std::locale &locale)
virtual bool | do_match (_In_reads_or_z_opt_(end) const T *text, size_t start=0, size_t end=SIZE_MAX, int flags=match_default)
Protected Member Functions inherited from stdex::parser::parser_collection< T >
| parser_collection (const std::locale &locale)
Protected Member Functions inherited from stdex::parser::basic_parser< T >

## Additional Inherited Members
Public Attributes inherited from stdex::parser::basic_branch< T >
size_t | hit_offset
Public Attributes inherited from stdex::parser::basic_parser< T >
stdex::interval< size_t > | interval
| Region of the last match.
Protected Attributes inherited from stdex::parser::parser_collection< T >
std::vector< std::shared_ptr< basic_parser< T > > > | m_collection
Protected Attributes inherited from stdex::parser::basic_parser< T >
std::locale | m_locale

## Detailed Description

template<class T, class T_parser = basic_string<T>>
class stdex::parser::basic_string_branch< T, T_parser >

Test for any string.

The documentation for this class was generated from the following file:

- include/stdex/parser.hpp